package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.MemberClerkChatConfig;
import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkRelation;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TabHaobanMemberClerkChatConfigMapper {
    /**
     */
    int deleteByPrimaryKey(Integer memberClerkChatConfigId);

    /**
     */
    int insert(MemberClerkChatConfig record);

    /**
     */
    int insertSelective(MemberClerkChatConfig record);

    /**
     */
    MemberClerkChatConfig selectByPrimaryKey(Integer memberClerkChatConfigId);

    /**
     */
    int updateByPrimaryKeySelective(MemberClerkChatConfig record);

    /**
     */
    int updateByPrimaryKey(MemberClerkChatConfig record);

    /**
     */
    MemberClerkChatConfig getChatByMemberIdStaffId(@Param("memberId") String memberId, @Param("staffId") String staffId);

}